# eth\_chainId

Returns the chain ID used for signing replay-protected transactions.

This method will use `5` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## Reference: [Here](https://ethereum.org/en/developers/docs/apis/json-rpc/#eth_chainid)

## **Parameters**

`None`

## **Returns**

`chainId`, hexadecimal value as a string representing the integer of the current chain id.

```json
// Result
{
  "id":67,
  "jsonrpc": "2.0",
  "result": "0x1"
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.avalanche.validationcloud.io/v1/<YOUR_API_KEY_HERE>/ext/bc/C/rpc \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0", "method":"eth_chainId","params":[],"id":67}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://fuji.avalanche.validationcloud.io/v1/<YOUR_API_KEY_HERE>/ext/bc/C/rpc \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0", "method":"eth_chainId","params":[],"id":67}'

```

{% endtab %}
{% endtabs %}
